Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.actions
Class CopyProjectAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.ui.actions.BaseSelectionListenerAction
              org.eclipse.ui.actions.SelectionListenerAction
                  org.eclipse.ui.actions.CopyProjectAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener

Direct Known Subclasses:
  MoveProjectAction

public class CopyProjectAction
extends SelectionListenerAction

The CopyProjectAction is the action designed to copy projects specifically as they have different semantics from other resources. Note that this action assumes that a single project is selected and being manipulated. This should be disabled for multi select or no selection.

Field Summary
`protected IStatus` | `errorStatus` Status containing the errors detected when running the operation or `null` if no errors detected.
`static String` | `ID` The id of this action.
`protected Shell` | `shell` The shell in which to show any dialogs.

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`CopyProjectAction(Shell shell)` Creates a new project copy action with the default text.

Method Summary
`protected IProjectDescription` | `createDescription(IProject project, String projectName, IPath rootLocation)` Create a new IProjectDescription for the copy using the name and path selected from the dialog.
`protected String` | `getErrorsTitle()` Return the title of the errors dialog.
`protected AbstractUIPlugin` | `getPlugin()` Get the plugin used by a copy action
`protected Object[]` | `queryDestinationParameters(IProject project)` Query for a new project name and destination using the parameters in the existing project.
`void` | `run()` Implementation of method defined on `IAction`.
`protected boolean` | `updateSelection(IStructuredSelection selection)` The `CopyResourceAction` implementation of this `SelectionListenerAction` method enables this action only if there is a single selection which is a project.

Methods inherited from class org.eclipse.ui.actions.SelectionListenerAction
`clearCache, getSelectedNonResources, getSelectedResources, resourceIsType, selectionIsOfType`

Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction
`getStructuredSelection, runWithEvent, selectionChanged, selectionChanged`

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final String ID

  The id of this action.

  See Also:
    Constant Field Values

### shell

    protected Shell shell

  The shell in which to show any dialogs.

### errorStatus

    protected IStatus errorStatus

  Status containing the errors detected when running the operation or `null` if no errors detected.

Constructor Detail

### CopyProjectAction

    public CopyProjectAction(Shell shell)

  Creates a new project copy action with the default text.

Parameters:
  `shell` - the shell for any dialogs

Method Detail

### createDescription

    protected IProjectDescription createDescription(IProject project,
                                                    String projectName,
                                                    IPath rootLocation)
                                             throws CoreException

  Create a new IProjectDescription for the copy using the name and path selected from the dialog.

  Parameters:
    `project` - the source project
    `projectName` - the name for the new project
    `rootLocation` - the path the new project will be stored under.
  Returns:
    IProjectDescription
  Throws:
    `CoreException`

### getErrorsTitle

    protected String getErrorsTitle()

  Return the title of the errors dialog.

  Returns:
    java.lang.String

### getPlugin

    protected AbstractUIPlugin getPlugin()

  Get the plugin used by a copy action

  Returns:
    AbstractUIPlugin

### queryDestinationParameters

    protected Object[] queryDestinationParameters(IProject project)

  Query for a new project name and destination using the parameters in the existing project.

  Parameters:
    `project` - the project we are going to copy.
  Returns:
    Object [] or null if the selection is cancelled

### run

    public void run()

  Implementation of method defined on `IAction`.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

### updateSelection

    protected boolean updateSelection(IStructuredSelection selection)

  The `CopyResourceAction` implementation of this `SelectionListenerAction` method enables this action only if there is a single selection which is a project.

  Overrides:
    `updateSelection` in class `BaseSelectionListenerAction`
  Parameters:
    `selection` - the new selection
  Returns:
    `true` if the action should be enabled for this selection, and `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.